%define name 	livecut
%define version 1.99
%define release 4mdk

%define pythonver 2.3

Summary: 	Graphical timeline editor
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%name-%{version}.tar.bz2
URL: 		http://freshmeat.net/projects/livecut/?topic_id=100%2C111%2C113%2C115%2C125
License: 	GPL
Group: 		Office
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	python-devel wxPythonGTK 
Requires: 	python wxPythonGTK
Buildarch:	noarch

%description
LiveCut is a graphical helper for people who have to synchronize different
media sources like audio or video sources, slides, text transcriptions, while
making movies or SMIL presentations. It allows you to easily mark the time at
which events happen, and generates a simple text file which can be reused
either manually or automatically later (e.g., in an SMIL generator).

%prep
%setup -q

%build
%install
python setup.py install --root=$RPM_BUILD_ROOT

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="livecut"\
needs="x11"\
section="Office/Presentations"\
title="LiveCut"\
icon="presentation_section.png"\
longtitle="Graphical timeline editor"
EOF

%find_lang livecut

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING CREDITS NEWS PKG-INFO README
%_bindir/%name
%_bindir/lvc2smile
%_libdir/python%pythonver/site-packages/%name
%_menudir/%name

%changelog
* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 1.99-4mdk
- python 2.3

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 1.99-3mdk
- DIRM

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 1.99-2mdk
- buildrequires wxPythonGTK
- fix group

* Fri Mar 14 2003 Austin Acton <aacton@yorku.ca> 1.99-1mdk
- 1.99

* Thu Feb 27 2003 Austin Acton <aacton@yorku.ca> 1.0-1mdk
- initial package
